using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class BannerListPacket : Packet
    {
        private AsciiString banners {  get; set; }
        public BannerListPacket(string banners)
        {
            this.banners = new AsciiString(banners);
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.WriteAscii(banners, 0xD67D, 0xF5);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0xED, PacketFlags.PACKED);
        }

        #endregion
    }
}